Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2021::/16
First address
2021::
Last address
2021:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2021:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
1.2.0.2.ip6.arpa
Split into smaller subnets/32

2021::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
12021::/322021:0:ffff:ffff:ffff:ffff:ffff:ffff
22021:1::/322021:1:ffff:ffff:ffff:ffff:ffff:ffff
32021:2::/322021:2:ffff:ffff:ffff:ffff:ffff:ffff
42021:3::/322021:3:ffff:ffff:ffff:ffff:ffff:ffff
52021:4::/322021:4:ffff:ffff:ffff:ffff:ffff:ffff
62021:5::/322021:5:ffff:ffff:ffff:ffff:ffff:ffff
72021:6::/322021:6:ffff:ffff:ffff:ffff:ffff:ffff
82021:7::/322021:7:ffff:ffff:ffff:ffff:ffff:ffff
92021:8::/322021:8:ffff:ffff:ffff:ffff:ffff:ffff
102021:9::/322021:9:ffff:ffff:ffff:ffff:ffff:ffff
112021:a::/322021:a:ffff:ffff:ffff:ffff:ffff:ffff
122021:b::/322021:b:ffff:ffff:ffff:ffff:ffff:ffff
132021:c::/322021:c:ffff:ffff:ffff:ffff:ffff:ffff
142021:d::/322021:d:ffff:ffff:ffff:ffff:ffff:ffff
152021:e::/322021:e:ffff:ffff:ffff:ffff:ffff:ffff
162021:f::/322021:f:ffff:ffff:ffff:ffff:ffff:ffff
172021:10::/322021:10:ffff:ffff:ffff:ffff:ffff:ffff
182021:11::/322021:11:ffff:ffff:ffff:ffff:ffff:ffff
192021:12::/322021:12:ffff:ffff:ffff:ffff:ffff:ffff
202021:13::/322021:13:ffff:ffff:ffff:ffff:ffff:ffff
212021:14::/322021:14:ffff:ffff:ffff:ffff:ffff:ffff
222021:15::/322021:15:ffff:ffff:ffff:ffff:ffff:ffff
232021:16::/322021:16:ffff:ffff:ffff:ffff:ffff:ffff
242021:17::/322021:17:ffff:ffff:ffff:ffff:ffff:ffff
252021:18::/322021:18:ffff:ffff:ffff:ffff:ffff:ffff
262021:19::/322021:19:ffff:ffff:ffff:ffff:ffff:ffff
272021:1a::/322021:1a:ffff:ffff:ffff:ffff:ffff:ffff
282021:1b::/322021:1b:ffff:ffff:ffff:ffff:ffff:ffff
292021:1c::/322021:1c:ffff:ffff:ffff:ffff:ffff:ffff
302021:1d::/322021:1d:ffff:ffff:ffff:ffff:ffff:ffff
312021:1e::/322021:1e:ffff:ffff:ffff:ffff:ffff:ffff
322021:1f::/322021:1f:ffff:ffff:ffff:ffff:ffff:ffff
332021:20::/322021:20:ffff:ffff:ffff:ffff:ffff:ffff
342021:21::/322021:21:ffff:ffff:ffff:ffff:ffff:ffff
352021:22::/322021:22:ffff:ffff:ffff:ffff:ffff:ffff
362021:23::/322021:23:ffff:ffff:ffff:ffff:ffff:ffff
372021:24::/322021:24:ffff:ffff:ffff:ffff:ffff:ffff
382021:25::/322021:25:ffff:ffff:ffff:ffff:ffff:ffff
392021:26::/322021:26:ffff:ffff:ffff:ffff:ffff:ffff
402021:27::/322021:27:ffff:ffff:ffff:ffff:ffff:ffff
412021:28::/322021:28:ffff:ffff:ffff:ffff:ffff:ffff
422021:29::/322021:29:ffff:ffff:ffff:ffff:ffff:ffff
432021:2a::/322021:2a:ffff:ffff:ffff:ffff:ffff:ffff
442021:2b::/322021:2b:ffff:ffff:ffff:ffff:ffff:ffff
452021:2c::/322021:2c:ffff:ffff:ffff:ffff:ffff:ffff
462021:2d::/322021:2d:ffff:ffff:ffff:ffff:ffff:ffff
472021:2e::/322021:2e:ffff:ffff:ffff:ffff:ffff:ffff
482021:2f::/322021:2f:ffff:ffff:ffff:ffff:ffff:ffff
492021:30::/322021:30:ffff:ffff:ffff:ffff:ffff:ffff
502021:31::/322021:31:ffff:ffff:ffff:ffff:ffff:ffff
512021:32::/322021:32:ffff:ffff:ffff:ffff:ffff:ffff
522021:33::/322021:33:ffff:ffff:ffff:ffff:ffff:ffff
532021:34::/322021:34:ffff:ffff:ffff:ffff:ffff:ffff
542021:35::/322021:35:ffff:ffff:ffff:ffff:ffff:ffff
552021:36::/322021:36:ffff:ffff:ffff:ffff:ffff:ffff
562021:37::/322021:37:ffff:ffff:ffff:ffff:ffff:ffff
572021:38::/322021:38:ffff:ffff:ffff:ffff:ffff:ffff
582021:39::/322021:39:ffff:ffff:ffff:ffff:ffff:ffff
592021:3a::/322021:3a:ffff:ffff:ffff:ffff:ffff:ffff
602021:3b::/322021:3b:ffff:ffff:ffff:ffff:ffff:ffff
612021:3c::/322021:3c:ffff:ffff:ffff:ffff:ffff:ffff
622021:3d::/322021:3d:ffff:ffff:ffff:ffff:ffff:ffff
632021:3e::/322021:3e:ffff:ffff:ffff:ffff:ffff:ffff
642021:3f::/322021:3f:ffff:ffff:ffff:ffff:ffff:ffff
652021:40::/322021:40:ffff:ffff:ffff:ffff:ffff:ffff
662021:41::/322021:41:ffff:ffff:ffff:ffff:ffff:ffff
672021:42::/322021:42:ffff:ffff:ffff:ffff:ffff:ffff
682021:43::/322021:43:ffff:ffff:ffff:ffff:ffff:ffff
692021:44::/322021:44:ffff:ffff:ffff:ffff:ffff:ffff
702021:45::/322021:45:ffff:ffff:ffff:ffff:ffff:ffff
712021:46::/322021:46:ffff:ffff:ffff:ffff:ffff:ffff
722021:47::/322021:47:ffff:ffff:ffff:ffff:ffff:ffff
732021:48::/322021:48:ffff:ffff:ffff:ffff:ffff:ffff
742021:49::/322021:49:ffff:ffff:ffff:ffff:ffff:ffff
752021:4a::/322021:4a:ffff:ffff:ffff:ffff:ffff:ffff
762021:4b::/322021:4b:ffff:ffff:ffff:ffff:ffff:ffff
772021:4c::/322021:4c:ffff:ffff:ffff:ffff:ffff:ffff
782021:4d::/322021:4d:ffff:ffff:ffff:ffff:ffff:ffff
792021:4e::/322021:4e:ffff:ffff:ffff:ffff:ffff:ffff
802021:4f::/322021:4f:ffff:ffff:ffff:ffff:ffff:ffff
812021:50::/322021:50:ffff:ffff:ffff:ffff:ffff:ffff
822021:51::/322021:51:ffff:ffff:ffff:ffff:ffff:ffff
832021:52::/322021:52:ffff:ffff:ffff:ffff:ffff:ffff
842021:53::/322021:53:ffff:ffff:ffff:ffff:ffff:ffff
852021:54::/322021:54:ffff:ffff:ffff:ffff:ffff:ffff
862021:55::/322021:55:ffff:ffff:ffff:ffff:ffff:ffff
872021:56::/322021:56:ffff:ffff:ffff:ffff:ffff:ffff
882021:57::/322021:57:ffff:ffff:ffff:ffff:ffff:ffff
892021:58::/322021:58:ffff:ffff:ffff:ffff:ffff:ffff
902021:59::/322021:59:ffff:ffff:ffff:ffff:ffff:ffff
912021:5a::/322021:5a:ffff:ffff:ffff:ffff:ffff:ffff
922021:5b::/322021:5b:ffff:ffff:ffff:ffff:ffff:ffff
932021:5c::/322021:5c:ffff:ffff:ffff:ffff:ffff:ffff
942021:5d::/322021:5d:ffff:ffff:ffff:ffff:ffff:ffff
952021:5e::/322021:5e:ffff:ffff:ffff:ffff:ffff:ffff
962021:5f::/322021:5f:ffff:ffff:ffff:ffff:ffff:ffff
972021:60::/322021:60:ffff:ffff:ffff:ffff:ffff:ffff
982021:61::/322021:61:ffff:ffff:ffff:ffff:ffff:ffff
992021:62::/322021:62:ffff:ffff:ffff:ffff:ffff:ffff
1002021:63::/322021:63:ffff:ffff:ffff:ffff:ffff:ffff
1012021:64::/322021:64:ffff:ffff:ffff:ffff:ffff:ffff
1022021:65::/322021:65:ffff:ffff:ffff:ffff:ffff:ffff
1032021:66::/322021:66:ffff:ffff:ffff:ffff:ffff:ffff
1042021:67::/322021:67:ffff:ffff:ffff:ffff:ffff:ffff
1052021:68::/322021:68:ffff:ffff:ffff:ffff:ffff:ffff
1062021:69::/322021:69:ffff:ffff:ffff:ffff:ffff:ffff
1072021:6a::/322021:6a:ffff:ffff:ffff:ffff:ffff:ffff
1082021:6b::/322021:6b:ffff:ffff:ffff:ffff:ffff:ffff
1092021:6c::/322021:6c:ffff:ffff:ffff:ffff:ffff:ffff
1102021:6d::/322021:6d:ffff:ffff:ffff:ffff:ffff:ffff
1112021:6e::/322021:6e:ffff:ffff:ffff:ffff:ffff:ffff
1122021:6f::/322021:6f:ffff:ffff:ffff:ffff:ffff:ffff
1132021:70::/322021:70:ffff:ffff:ffff:ffff:ffff:ffff
1142021:71::/322021:71:ffff:ffff:ffff:ffff:ffff:ffff
1152021:72::/322021:72:ffff:ffff:ffff:ffff:ffff:ffff
1162021:73::/322021:73:ffff:ffff:ffff:ffff:ffff:ffff
1172021:74::/322021:74:ffff:ffff:ffff:ffff:ffff:ffff
1182021:75::/322021:75:ffff:ffff:ffff:ffff:ffff:ffff
1192021:76::/322021:76:ffff:ffff:ffff:ffff:ffff:ffff
1202021:77::/322021:77:ffff:ffff:ffff:ffff:ffff:ffff
1212021:78::/322021:78:ffff:ffff:ffff:ffff:ffff:ffff
1222021:79::/322021:79:ffff:ffff:ffff:ffff:ffff:ffff
1232021:7a::/322021:7a:ffff:ffff:ffff:ffff:ffff:ffff
1242021:7b::/322021:7b:ffff:ffff:ffff:ffff:ffff:ffff
1252021:7c::/322021:7c:ffff:ffff:ffff:ffff:ffff:ffff
1262021:7d::/322021:7d:ffff:ffff:ffff:ffff:ffff:ffff
1272021:7e::/322021:7e:ffff:ffff:ffff:ffff:ffff:ffff
1282021:7f::/322021:7f:ffff:ffff:ffff:ffff:ffff:ffff
1292021:80::/322021:80:ffff:ffff:ffff:ffff:ffff:ffff
1302021:81::/322021:81:ffff:ffff:ffff:ffff:ffff:ffff
1312021:82::/322021:82:ffff:ffff:ffff:ffff:ffff:ffff
1322021:83::/322021:83:ffff:ffff:ffff:ffff:ffff:ffff
1332021:84::/322021:84:ffff:ffff:ffff:ffff:ffff:ffff
1342021:85::/322021:85:ffff:ffff:ffff:ffff:ffff:ffff
1352021:86::/322021:86:ffff:ffff:ffff:ffff:ffff:ffff
1362021:87::/322021:87:ffff:ffff:ffff:ffff:ffff:ffff
1372021:88::/322021:88:ffff:ffff:ffff:ffff:ffff:ffff
1382021:89::/322021:89:ffff:ffff:ffff:ffff:ffff:ffff
1392021:8a::/322021:8a:ffff:ffff:ffff:ffff:ffff:ffff
1402021:8b::/322021:8b:ffff:ffff:ffff:ffff:ffff:ffff
1412021:8c::/322021:8c:ffff:ffff:ffff:ffff:ffff:ffff
1422021:8d::/322021:8d:ffff:ffff:ffff:ffff:ffff:ffff
1432021:8e::/322021:8e:ffff:ffff:ffff:ffff:ffff:ffff
1442021:8f::/322021:8f:ffff:ffff:ffff:ffff:ffff:ffff
1452021:90::/322021:90:ffff:ffff:ffff:ffff:ffff:ffff
1462021:91::/322021:91:ffff:ffff:ffff:ffff:ffff:ffff
1472021:92::/322021:92:ffff:ffff:ffff:ffff:ffff:ffff
1482021:93::/322021:93:ffff:ffff:ffff:ffff:ffff:ffff
1492021:94::/322021:94:ffff:ffff:ffff:ffff:ffff:ffff
1502021:95::/322021:95:ffff:ffff:ffff:ffff:ffff:ffff
1512021:96::/322021:96:ffff:ffff:ffff:ffff:ffff:ffff
1522021:97::/322021:97:ffff:ffff:ffff:ffff:ffff:ffff
1532021:98::/322021:98:ffff:ffff:ffff:ffff:ffff:ffff
1542021:99::/322021:99:ffff:ffff:ffff:ffff:ffff:ffff
1552021:9a::/322021:9a:ffff:ffff:ffff:ffff:ffff:ffff
1562021:9b::/322021:9b:ffff:ffff:ffff:ffff:ffff:ffff
1572021:9c::/322021:9c:ffff:ffff:ffff:ffff:ffff:ffff
1582021:9d::/322021:9d:ffff:ffff:ffff:ffff:ffff:ffff
1592021:9e::/322021:9e:ffff:ffff:ffff:ffff:ffff:ffff
1602021:9f::/322021:9f:ffff:ffff:ffff:ffff:ffff:ffff
1612021:a0::/322021:a0:ffff:ffff:ffff:ffff:ffff:ffff
1622021:a1::/322021:a1:ffff:ffff:ffff:ffff:ffff:ffff
1632021:a2::/322021:a2:ffff:ffff:ffff:ffff:ffff:ffff
1642021:a3::/322021:a3:ffff:ffff:ffff:ffff:ffff:ffff
1652021:a4::/322021:a4:ffff:ffff:ffff:ffff:ffff:ffff
1662021:a5::/322021:a5:ffff:ffff:ffff:ffff:ffff:ffff
1672021:a6::/322021:a6:ffff:ffff:ffff:ffff:ffff:ffff
1682021:a7::/322021:a7:ffff:ffff:ffff:ffff:ffff:ffff
1692021:a8::/322021:a8:ffff:ffff:ffff:ffff:ffff:ffff
1702021:a9::/322021:a9:ffff:ffff:ffff:ffff:ffff:ffff
1712021:aa::/322021:aa:ffff:ffff:ffff:ffff:ffff:ffff
1722021:ab::/322021:ab:ffff:ffff:ffff:ffff:ffff:ffff
1732021:ac::/322021:ac:ffff:ffff:ffff:ffff:ffff:ffff
1742021:ad::/322021:ad:ffff:ffff:ffff:ffff:ffff:ffff
1752021:ae::/322021:ae:ffff:ffff:ffff:ffff:ffff:ffff
1762021:af::/322021:af:ffff:ffff:ffff:ffff:ffff:ffff
1772021:b0::/322021:b0:ffff:ffff:ffff:ffff:ffff:ffff
1782021:b1::/322021:b1:ffff:ffff:ffff:ffff:ffff:ffff
1792021:b2::/322021:b2:ffff:ffff:ffff:ffff:ffff:ffff
1802021:b3::/322021:b3:ffff:ffff:ffff:ffff:ffff:ffff
1812021:b4::/322021:b4:ffff:ffff:ffff:ffff:ffff:ffff
1822021:b5::/322021:b5:ffff:ffff:ffff:ffff:ffff:ffff
1832021:b6::/322021:b6:ffff:ffff:ffff:ffff:ffff:ffff
1842021:b7::/322021:b7:ffff:ffff:ffff:ffff:ffff:ffff
1852021:b8::/322021:b8:ffff:ffff:ffff:ffff:ffff:ffff
1862021:b9::/322021:b9:ffff:ffff:ffff:ffff:ffff:ffff
1872021:ba::/322021:ba:ffff:ffff:ffff:ffff:ffff:ffff
1882021:bb::/322021:bb:ffff:ffff:ffff:ffff:ffff:ffff
1892021:bc::/322021:bc:ffff:ffff:ffff:ffff:ffff:ffff
1902021:bd::/322021:bd:ffff:ffff:ffff:ffff:ffff:ffff
1912021:be::/322021:be:ffff:ffff:ffff:ffff:ffff:ffff
1922021:bf::/322021:bf:ffff:ffff:ffff:ffff:ffff:ffff
1932021:c0::/322021:c0:ffff:ffff:ffff:ffff:ffff:ffff
1942021:c1::/322021:c1:ffff:ffff:ffff:ffff:ffff:ffff
1952021:c2::/322021:c2:ffff:ffff:ffff:ffff:ffff:ffff
1962021:c3::/322021:c3:ffff:ffff:ffff:ffff:ffff:ffff
1972021:c4::/322021:c4:ffff:ffff:ffff:ffff:ffff:ffff
1982021:c5::/322021:c5:ffff:ffff:ffff:ffff:ffff:ffff
1992021:c6::/322021:c6:ffff:ffff:ffff:ffff:ffff:ffff
2002021:c7::/322021:c7:ffff:ffff:ffff:ffff:ffff:ffff
2012021:c8::/322021:c8:ffff:ffff:ffff:ffff:ffff:ffff
2022021:c9::/322021:c9:ffff:ffff:ffff:ffff:ffff:ffff
2032021:ca::/322021:ca:ffff:ffff:ffff:ffff:ffff:ffff
2042021:cb::/322021:cb:ffff:ffff:ffff:ffff:ffff:ffff
2052021:cc::/322021:cc:ffff:ffff:ffff:ffff:ffff:ffff
2062021:cd::/322021:cd:ffff:ffff:ffff:ffff:ffff:ffff
2072021:ce::/322021:ce:ffff:ffff:ffff:ffff:ffff:ffff
2082021:cf::/322021:cf:ffff:ffff:ffff:ffff:ffff:ffff
2092021:d0::/322021:d0:ffff:ffff:ffff:ffff:ffff:ffff
2102021:d1::/322021:d1:ffff:ffff:ffff:ffff:ffff:ffff
2112021:d2::/322021:d2:ffff:ffff:ffff:ffff:ffff:ffff
2122021:d3::/322021:d3:ffff:ffff:ffff:ffff:ffff:ffff
2132021:d4::/322021:d4:ffff:ffff:ffff:ffff:ffff:ffff
2142021:d5::/322021:d5:ffff:ffff:ffff:ffff:ffff:ffff
2152021:d6::/322021:d6:ffff:ffff:ffff:ffff:ffff:ffff
2162021:d7::/322021:d7:ffff:ffff:ffff:ffff:ffff:ffff
2172021:d8::/322021:d8:ffff:ffff:ffff:ffff:ffff:ffff
2182021:d9::/322021:d9:ffff:ffff:ffff:ffff:ffff:ffff
2192021:da::/322021:da:ffff:ffff:ffff:ffff:ffff:ffff
2202021:db::/322021:db:ffff:ffff:ffff:ffff:ffff:ffff
2212021:dc::/322021:dc:ffff:ffff:ffff:ffff:ffff:ffff
2222021:dd::/322021:dd:ffff:ffff:ffff:ffff:ffff:ffff
2232021:de::/322021:de:ffff:ffff:ffff:ffff:ffff:ffff
2242021:df::/322021:df:ffff:ffff:ffff:ffff:ffff:ffff
2252021:e0::/322021:e0:ffff:ffff:ffff:ffff:ffff:ffff
2262021:e1::/322021:e1:ffff:ffff:ffff:ffff:ffff:ffff
2272021:e2::/322021:e2:ffff:ffff:ffff:ffff:ffff:ffff
2282021:e3::/322021:e3:ffff:ffff:ffff:ffff:ffff:ffff
2292021:e4::/322021:e4:ffff:ffff:ffff:ffff:ffff:ffff
2302021:e5::/322021:e5:ffff:ffff:ffff:ffff:ffff:ffff
2312021:e6::/322021:e6:ffff:ffff:ffff:ffff:ffff:ffff
2322021:e7::/322021:e7:ffff:ffff:ffff:ffff:ffff:ffff
2332021:e8::/322021:e8:ffff:ffff:ffff:ffff:ffff:ffff
2342021:e9::/322021:e9:ffff:ffff:ffff:ffff:ffff:ffff
2352021:ea::/322021:ea:ffff:ffff:ffff:ffff:ffff:ffff
2362021:eb::/322021:eb:ffff:ffff:ffff:ffff:ffff:ffff
2372021:ec::/322021:ec:ffff:ffff:ffff:ffff:ffff:ffff
2382021:ed::/322021:ed:ffff:ffff:ffff:ffff:ffff:ffff
2392021:ee::/322021:ee:ffff:ffff:ffff:ffff:ffff:ffff
2402021:ef::/322021:ef:ffff:ffff:ffff:ffff:ffff:ffff
2412021:f0::/322021:f0:ffff:ffff:ffff:ffff:ffff:ffff
2422021:f1::/322021:f1:ffff:ffff:ffff:ffff:ffff:ffff
2432021:f2::/322021:f2:ffff:ffff:ffff:ffff:ffff:ffff
2442021:f3::/322021:f3:ffff:ffff:ffff:ffff:ffff:ffff
2452021:f4::/322021:f4:ffff:ffff:ffff:ffff:ffff:ffff
2462021:f5::/322021:f5:ffff:ffff:ffff:ffff:ffff:ffff
2472021:f6::/322021:f6:ffff:ffff:ffff:ffff:ffff:ffff
2482021:f7::/322021:f7:ffff:ffff:ffff:ffff:ffff:ffff
2492021:f8::/322021:f8:ffff:ffff:ffff:ffff:ffff:ffff
2502021:f9::/322021:f9:ffff:ffff:ffff:ffff:ffff:ffff
2512021:fa::/322021:fa:ffff:ffff:ffff:ffff:ffff:ffff
2522021:fb::/322021:fb:ffff:ffff:ffff:ffff:ffff:ffff
2532021:fc::/322021:fc:ffff:ffff:ffff:ffff:ffff:ffff
2542021:fd::/322021:fd:ffff:ffff:ffff:ffff:ffff:ffff
2552021:fe::/322021:fe:ffff:ffff:ffff:ffff:ffff:ffff
2562021:ff::/322021:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses